## python-daphne 4.2.1

=== Makefile ===
.PHONY: release

all:

release:
ifndef version
	$(error Please supply a version)
endif
	@echo Releasing version $(version)
ifeq (,$(findstring $(version),$(shell git log --oneline -1)))
	$(error Last commit does not match version)
endif
	git tag $(version)
	git push
	git push --tags
	#python setup.py sdist bdist_wheel upload

## python-daphne 1.4.2

=== debian/changelog ===
python-daphne (1.4.2-1) unstable; urgency=low

  * Add debian/gbp.conf.
  * New upstream release.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Jan 2018 17:47:03 +0100

python-daphne (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #882227).

 -- Michael Fladischer <fladi@debian.org>  Mon, 20 Nov 2017 10:33:26 +0100

=== debian/control ===
Source: python-daphne
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 docbook-to-man,
 python3-all,
 python3-asgiref,
 python3-autobahn,
 python3-hypothesis,
 python3-setuptools,
 python3-six,
 python3-twisted,
Standards-Version: 4.1.3
X-Python3-Version: >= 3.4
Homepage: https://github.com/django/daphne/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-daphne.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-daphne.git
Testsuite: autopkgtest-pkg-python

Package: daphne
Architecture: all
Section: httpd
Depends:
 python3-daphne (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Django Channels HTTP/WebSocket server
 Daphne is a HTTP, HTTP2 and WebSocket protocol server for ASGI, and developed
 to power Django Channels.
 .
 It supports automatic negotiation of protocols; there's no need for URL
 prefixing to determine WebSocket endpoints versus HTTP endpoints.

Package: python3-daphne
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Django Channels HTTP/WebSocket server (Python3 version)
 Daphne is a HTTP, HTTP2 and WebSocket protocol server for ASGI, and developed
 to power Django Channels.
 .
 It supports automatic negotiation of protocols; there's no need for URL
 prefixing to determine WebSocket endpoints versus HTTP endpoints.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export PYBUILD_NAME=daphne

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/tmp/usr/lib/python3*/dist-packages/.hypothesis

override_dh_installman:
	docbook-to-man debian/manpage.daphne.sgml > daphne.1
	dh_installman

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-daphne-$1/ \
https://github.com/django/daphne/releases \
/django/daphne/archive/([\d\.]+)\.tar\.gz

## python-daphne 2.2.5

=== debian/changelog ===
python-daphne (2.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 07 Feb 2019 09:26:43 +0100

python-daphne (2.2.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.3.0.

 -- Michael Fladischer <fladi@debian.org>  Fri, 28 Dec 2018 12:25:51 +0100

python-daphne (2.2.3-1) unstable; urgency=medium

  * Upload to unstable.
  * Clean up files in .pytest_cache/ to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Dec 2018 17:47:58 +0100

python-daphne (2.2.3-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Nov 2018 19:41:14 +0100

python-daphne (2.2.2-1~exp1) experimental; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Remove python3-asgiref from Build-Depends.
  * Add python3-pytest and python3-pytest-runner to Build-Depends to run
    tests.
  * Run tests using pytest.
  * Clean up test artifacts to allow two builds in a row.
  * Bump Standards-Version to 4.2.1.
  * Update manpage for daphne.

 -- Michael Fladischer <fladi@debian.org>  Wed, 29 Aug 2018 09:35:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
  dh-python,
  docbook-to-man,
  python3-all,
- python3-asgiref,
  python3-autobahn,
  python3-hypothesis,
+ python3-pytest,
+ python3-pytest-runner,
  python3-setuptools,
  python3-six,
  python3-twisted,
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/django/daphne/
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-daphne.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-daphne.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-daphne
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-daphne.git
 Testsuite: autopkgtest-pkg-python
 
 Package: daphne

## python-daphne 2.3.0

=== debian/changelog ===
python-daphne (2.3.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump python3-asgiref to (>= 3~) in Build-Depends.
  * Bump debhelper version to 12.

 -- Michael Fladischer <fladi@debian.org>  Thu, 01 Aug 2019 13:34:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  docbook-to-man,
  python3-all,
+ python3-asgiref (>= 3~),
  python3-autobahn,
  python3-hypothesis,
  python3-pytest,
@@ -16,7 +17,7 @@
  python3-setuptools,
  python3-six,
  python3-twisted,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/django/daphne/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-daphne
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-daphne.git

## python-daphne 2.4.1

=== debian/changelog ===
python-daphne (2.4.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael Fladischer ]
  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Tue, 14 Jan 2020 10:54:00 +0100

python-daphne (2.4.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Clean up .pytest_cache/CACHEDIR.TAG to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Fri, 22 Nov 2019 12:47:46 +0100

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,12 @@
  python3-setuptools,
  python3-six,
  python3-twisted,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/django/daphne/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-daphne
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-daphne.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: daphne
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,12 @@
 override_dh_installman:
 	docbook-to-man debian/manpage.daphne.sgml > daphne.1
 	dh_installman
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} -m pytest"
+endif
+
+override_dh_clean:
+	rm -rf .hypothesis
+	dh_clean

## python-daphne 2.5.0

=== debian/changelog ===
python-daphne (2.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 09 Jun 2020 14:29:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  docbook-to-man,
  python3-all,
@@ -17,7 +17,7 @@
  python3-setuptools,
  python3-six,
  python3-twisted,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/django/daphne/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-daphne
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-daphne.git

## python-daphne 3.0.1

=== debian/changelog ===
python-daphne (3.0.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.
  * Version build dependencies on python3-asgiref, python3-autobahn and
    python3-twisted.

 -- Michael Fladischer <fladi@debian.org>  Mon, 30 Nov 2020 19:55:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-daphne
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
@@ -9,18 +9,18 @@
  dh-python,
  docbook-to-man,
  python3-all,
- python3-asgiref (>= 3~),
- python3-autobahn,
+ python3-asgiref (>= 3.2.10~),
+ python3-autobahn (>= 0.18~),
  python3-hypothesis,
  python3-pytest,
  python3-pytest-runner,
  python3-setuptools,
  python3-six,
- python3-twisted,
-Standards-Version: 4.5.0
+ python3-twisted (>= 18.7~),
+Standards-Version: 4.5.1
 Homepage: https://github.com/django/daphne/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-daphne
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-daphne.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-daphne
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-daphne.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-daphne-$1/ \
https://github.com/django/daphne/releases \
/django/daphne/archive/([\d\.]+)\.tar\.gz

## python-daphne 3.0.2

=== debian/changelog ===
python-daphne (3.0.2-1) unstable; urgency=low

  * New upstream release.
  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Sep 2021 20:46:52 +0000

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,10 @@
  python3-setuptools,
  python3-six,
  python3-twisted (>= 18.7~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/django/daphne/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-daphne
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-daphne.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: daphne

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-daphne-$1/ \
https://github.com/django/daphne/releases \
/django/daphne/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-daphne 4.0.0

=== debian/changelog ===
python-daphne (4.0.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-autobahn and
      python3-twisted.

  [ Michael Fladischer ]
  * New upstream release.
  * Use github tags instead of releases for d/watch.
  * Add python3-django to Build-Depends, required by tests.
  * Update d/copyright with new years.
  * Depend on python3-all for autopkgtests.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 11 Oct 2022 13:05:01 +0000

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
  docbook-to-man,
  python3-all,
  python3-asgiref (>= 3.2.10~),
- python3-autobahn (>= 0.18~),
+ python3-autobahn,
+ python3-django,
  python3-hypothesis,
  python3-pytest,
  python3-pytest-runner,
  python3-setuptools,
  python3-six,
- python3-twisted (>= 18.7~),
-Standards-Version: 4.6.0
+ python3-twisted,
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/django/daphne/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-daphne
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-daphne.git

## python-daphne 4.1.2

=== debian/changelog ===
python-daphne (4.1.2-2) unstable; urgency=medium

  * Team upload.
  * Remove now-unnecessary dh_auto_test override.
  * Fix autopkgtests with openssl >= 3.3.1-5 (see discussion in #965041).
  * Cherry-pick https://github.com/django/daphne/pull/526 to fix tests with
    Twisted 24.7.0.
  * Simplify autopkgtests using autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Aug 2024 18:46:43 +0100

python-daphne (4.1.2-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * remove old python3-six build dependency

  [ Michael Fladischer ]
  * New upstream version 4.1.2
  * Update year in d/copyright.
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.
  * Bump Standards-Version to 4.6.2.

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Apr 2024 15:19:02 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  docbook-to-man,
  python3-all,
  python3-asgiref (>= 3.2.10~),
@@ -16,13 +17,13 @@
  python3-pytest,
  python3-pytest-runner,
  python3-setuptools,
- python3-six,
  python3-twisted,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/django/daphne/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-daphne
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-daphne.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: daphne
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export PYBUILD_NAME=daphne
export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/tmp/usr/lib/python3*/dist-packages/.hypothesis

override_dh_installman:
	docbook-to-man debian/manpage.daphne.sgml > daphne.1
	dh_installman

override_dh_clean:
	rm -rf .hypothesis
	dh_clean

## python-daphne 4.2.1

=== debian/changelog ===
python-daphne (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Aug 2025 12:20:24 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python3-django,
  python3-hypothesis,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-pytest-runner,
  python3-setuptools,
  python3-twisted,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,11 @@
 
 #export PYBUILD_NAME=daphne
 export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1
+
+ifneq ($(PYBUILD_AUTOPKGTEST),1)
+# This test only passes when the package is installed.
+export PYBUILD_TEST_ARGS := --deselect tests/test_packaging.py::test_fd_endpoint_plugin_installed
+endif
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-daphne-$1/ \
https://github.com/django/daphne/tags \
/django/daphne/archive/refs/tags/([\d\.]+)\.tar\.gz
